<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.activity.SayHelloActivity">


    <View
        android:id="@+id/view_say_hello_center_placeholder"
        android:layout_width="@dimen/dp_12"
        android:layout_height="@dimen/dp_1"
        android:layout_centerInParent="true" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_say_hello_logo"
        android:layout_width="wrap_content"
        android:layout_height="@dimen/dp_18"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true"
        android:layout_marginBottom="@dimen/dp_24"
        android:src="@mipmap/logo" />

    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_say_hello_powered_by"
        style="@style/my_TextView_style_v2"
        android:layout_above="@id/iv_say_hello_logo"
        android:layout_centerHorizontal="true"
        android:layout_marginBottom="@dimen/dp_4"
        android:text="@string/txt_powered_by"
        android:textColor="@color/grey_color_64"
        android:textSize="@dimen/textSize10"
        app:typeface="@string/roboto_regular_font" />

    <com.abbidot.tracker.widget.TypefaceButton
        android:id="@+id/btn_say_hello_login_wechat"
        style="@style/my_QMUIRoundButton_very_small_style"
        android:layout_above="@id/tv_say_hello_powered_by"
        android:layout_centerHorizontal="true"
        android:layout_marginBottom="@dimen/dp_40"
        android:background="@color/transparent"
        android:drawableEnd="@drawable/icon_login_cn_wechat_image"
        android:drawablePadding="@dimen/dp_8"
        android:text="@string/login_txt_login_wechat"
        android:textColor="@color/select_color"
        android:textSize="@dimen/textSize12"
        android:visibility="gone"
        app:qmui_borderColor="@color/line_color1"
        app:qmui_borderWidth="@dimen/dp_1"
        app:qmui_radius="@dimen/dp_38"
        app:typeface="@string/roboto_bold_font" />

    <com.abbidot.tracker.widget.TypefaceButton
        android:id="@+id/btn_say_hello_login"
        style="@style/my_RoundRect_Button_style"
        android:layout_height="@dimen/dp_56"
        android:layout_above="@id/btn_say_hello_login_wechat"
        android:layout_marginEnd="-2dp"
        android:layout_marginBottom="@dimen/dp_70"
        android:layout_toStartOf="@id/view_say_hello_center_placeholder"
        android:background="@color/white_gray_color"
        android:text="@string/txt_login"
        android:textColor="@color/select_color"
        android:textSize="@dimen/textSize18"
        app:qmui_radius="@dimen/dp_64"
        app:typeface="@string/roboto_bold_font" />

    <com.abbidot.tracker.widget.TypefaceButton
        android:id="@+id/btn_say_hello_signup"
        style="@style/my_RoundRect_Button_style"
        android:layout_alignTop="@id/btn_say_hello_login"
        android:layout_alignBottom="@id/btn_say_hello_login"
        android:layout_toEndOf="@id/view_say_hello_center_placeholder"
        android:background="@color/select_color2"
        android:text="@string/txt_signup"
        android:textColor="@color/select_color"
        android:textSize="@dimen/textSize18"
        app:qmui_radius="@dimen/dp_64"
        app:typeface="@string/roboto_bold_font" />


    <com.abbidot.tracker.widget.TypefaceTextView
        style="@style/my_TextView_style_v2"
        android:layout_width="match_parent"
        android:layout_above="@id/btn_say_hello_signup"
        android:layout_marginBottom="@dimen/dp_24"
        android:text="@string/txt_say_hi_tip"
        android:textSize="@dimen/textSize32"
        android:textStyle="bold" />
</RelativeLayout>